Subject: Re: Assertion in "libpthread"
To: Matthias Scheler <>
From: Quentin Garnier <>
List: current-users
Date: 03/03/2003 14:12:00
Le Mon, 3 Mar 2003 12:32:54 +0000 (UTC)
Matthias Scheler a écrit :
> 	Hello,
> after updating my system to today's NetBSD-current every program which
> uses "libpthread" dies like this for me:
> tron@lyssa:~>glxgears 
> Xlib:  extension "GLX" missing on display "localhost:10.0".
> Error: couldn't get an RGB, Double-buffered visual
> assertion "next != 0" failed: file "pthread_run.c", line 115, function
> "pthread__next" zsh: abort      glxgears
> Is anybody else affected by this?

It's a bad interaction between pth and the native libpthread. You have to
remove pth and recompile all packages that used it. Usually long and
painful, but necessary.

Quentin Garnier -
"Feels like I'm fiddling while Rome is burning down.
Should I lay my fiddle down and take a rifle from the ground ?"
Leigh Nash/Sixpence None The Richer, Paralyzed, Divine Discontents, 2002.